#### Previous topic

minimize(method=’BFGS’)

#### Next topic

minimize(method=’L-BFGS-B’)

# minimize(method=’Newton-CG’)

`scipy.optimize.``minimize`(fun, x0, args=(), method='Newton-CG', jac=None, hess=None, hessp=None, tol=None, callback=None, options={'disp': False, 'xtol': 1e-05, 'eps': 1.4901161193847656e-08, 'return_all': False, 'maxiter': None})

  Minimization of scalar function of one or more variables using the Newton-CG algorithm.

  Note that the jac parameter (Jacobian) is required.

  See also

  For documentation for the rest of the parameters, see `scipy.optimize.minimize`

  Options:

  disp : bool

  > Set to True to print convergence messages.

  xtol : float

  > Average relative error in solution xopt acceptable for convergence.

  maxiter : int

  > Maximum number of iterations to perform.

  eps : float or ndarray

  > If jac is approximated, use this value for the step size.